// Copyright 2001 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wLabelFilesPane:
//   Displays output of the files @label command


#ifndef p4wLabelFilesPane_H
#define p4wLabelFilesPane_H

#include "p4wPane.h"

class p4wLabelFilesPane : public p4wPane {

public:

				p4wLabelFilesPane( p4wView & ParentView, 
					p4wRequest & Request );
	virtual			~p4wLabelFilesPane();

	virtual	void		Begin();
	virtual	void		RenderInfo( char *data, char level );
	virtual void		Render( StrDict *varList );
	virtual	void		RenderError( char *data, int escapeHTML );
	virtual	void		End();
	
private:
	int		fOverflowMsg;
};

#endif // p4wLabelFilesPane_H
